consoleText

download

20 Started by upstream project "cubes-skos" build number 78
originally caused by:
Started by an SCM change
Building in workspace /var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default
[py27-default] $ hg showconfig paths.default
[py27-default] $ hg pull --rev 6cf7b2a147da2ad387fd73300854b9169a6af8d9
pulling from http://hg.logilab.org/review/cubes/skos
searching for changes
adding changesets
adding manifests
adding file changes
added 4 changesets with 7 changes to 10 files
(run 'hg update' to get a working copy)
[py27-default] $ hg update --clean --rev 6cf7b2a147da2ad387fd73300854b9169a6af8d9
10 files updated, 0 files merged, 0 files removed, 0 files unresolved
[py27-default] $ hg --config extensions.purge= clean --all
[py27-default] $ hg log --rev . --template {node}
[py27-default] $ hg log --rev . --template {rev}
[py27-default] $ hg log --rev 02473e51427c6f2d29507bc88c3c60c2e15bedfe
changeset: 291:02473e51427c
user: Sylvain ThĂŠnault <sylvain.thenault@logilab.fr>
date: Thu Feb 04 09:24:04 2016 +0100
summary: hide close_match from its object entities

[py27-default] $ hg log --template "<changeset node='{node}' author='{author|xmlescape}' rev='{rev}' date='{date}'><msg>{desc|xmlescape}</msg><added>{file_adds|stringify|xmlescape}</added><deleted>{file_dels|stringify|xmlescape}</deleted><files>{files|stringify|xmlescape}</files><parents>{parents}</parents></changeset>\n" --rev 6cf7b2a147da2ad387fd73300854b9169a6af8d9:0 --follow --prune 02473e51427c6f2d29507bc88c3c60c2e15bedfe --encoding UTF-8 --encodingmode replace
[py27-default] $ /bin/bash -xe /tmp/hudson8817744730393190244.sh
+ find . -name 'tmpdb*' -delete
[py27-default] $ /bin/bash -xe /tmp/hudson1899215098929154409.sh
+ rm -rf /var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/.tox
[py27-default] $ python /tmp/hudson7127410751728740352.py
GLOB sdist-make: /var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/setup.py
py27-default create: /var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/.tox/py27-default
py27-default installdeps: cubicweb, -rtest-requirements.txt, pytest
py27-default inst: /var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/.tox/dist/cubicweb-skos-0.8.0.zip
py27-default installed: You are using pip version 7.1.2, however version 8.0.2 is available.,You should consider upgrading via the 'pip install --upgrade pip' command.,beautifulsoup4==4.3.2,boto==2.34.0,bzr-etckeeper==0.0.0,cffi==0.8.6,characteristic==0.1.0,chardet==2.3.0,Cheetah==2.4.4,cloud-init==0.7.6,colorama==0.3.2,configobj==5.0.6,coverage==3.7.1,croniter==0.3.4,cryptography==0.6.1,cubicweb==3.22.0,cubicweb-skos==0.8.0,cwclientlib==0.4.1,Cython==0.21.1,decorator==3.4.0,docutils==0.12,ecdsa==0.11,euca2ools==3.1.0,GDAL==1.10.1,hg-evolve==5.2.1,html2text==2016.1.8,html5lib==0.999,isodate==0.5.0,Jinja2==2.7.3,joblib==0.8.3,jsonpatch==1.3,jsonpointer==1.0,logilab-common==1.1.0,logilab-constraint==0.6.0,logilab-database==1.15.0,logilab-mtconverter==0.9.0,lxml==3.4.0,M2Crypto==0.21.1,Mako==1.0.0,Markdown==2.5.1,MarkupSafe==0.23,matplotlib==1.4.2,mercurial==3.5.2,mock==1.0.1,msgpack-python==0.4.2,nose==1.3.4,numexpr==2.4,numpy==1.8.2,oauth==1.0.1,openpyxl==1.7.0,pandas==0.14.1,paramiko==1.15.1,passlib==1.6.5,pep8==1.5.7,Pillow==2.6.1,pluggy==0.3.1,ply==3.4,prettytable==0.7.2,psycopg2==2.5.4,py==1.4.31,pyasn1==0.1.7,pyasn1-modules==0.0.5,pycparser==2.10,pycrypto==2.6.1,Pygments==2.0.1,pyinotify==0.9.4,pyOpenSSL==0.14,pyparsing==2.0.3,pyserial==2.6,pysqlite==2.6.3,pytest==2.8.7,python-apt==0.9.3.12,python-augeas==0.4.1,python-dateutil==2.2,python-jenkins==0.2.1,python-ldap==2.4.10,python-yapps==2.1.1,pytz==2012rc0,PyYAML==3.11,pyzmq==14.4.0,rdflib==4.1.2,requestbuilder==0.2.3,requests==2.4.3,roman==2.0.0,rql==0.34.0,rubber==1.1,salt==2015.5.3,scikit-learn==0.14.1,scipy==0.14.0,service-identity==1.0.0,Shapely==1.4.3,simplejson==3.6.5,SimpleTAL==4.1,six==1.8.0,SPARQLWrapper==1.6.0,statsmodels==0.4.2,tables==3.1.1,tox==2.3.1,urllib3==1.9.1,virtualenv==13.1.2,wheel==0.24.0,xlrd==0.9.2,xlwt==0.7.5,yams==0.42.0,Yapps==2.2.0,Yapps2==2.2.0
py27-default runtests: PYTHONHASHSEED='2586326901'
py27-default runtests: commands[0] | /var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/.tox/py27-default/bin/python -m pytest /var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/test --junit-xml=test-results.xml
============================= test session starts ==============================
platform linux2 -- Python 2.7.9, pytest-2.8.7, py-1.4.31, pluggy-0.3.1
rootdir: /var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default, inifile: tox.ini
collected 67 items

test/test_ccplugin.py EEE
test/unittest_entities.py ....................
test/unittest_hooks.py ....
test/unittest_lcsv.py ...
test/unittest_rdfio.py .....................
test/unittest_schema.py ....F.
test/unittest_sobjects.py .F.F..
test/unittest_views.py ....

generated xml file: /var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/test-results.xml
==================================== ERRORS ====================================
____________ ERROR at setup of ImportSkosDataCommandTC.test_massive ____________

def setUpModule():
> startpgcluster(__file__)

test/test_ccplugin.py:14:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

pyfile = '/var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/test/test_ccplugin.py'

def startpgcluster(pyfile):
"""Start a postgresql cluster next to pyfile"""
datadir = join(os.path.dirname(pyfile), 'data', 'database',
'pgdb-%s' % os.path.splitext(os.path.basename(pyfile))[0])
if not exists(datadir):
try:
subprocess.check_call(['initdb', '-D', datadir, '-E', 'utf-8', '--locale=C'])

except OSError as err:
if err.errno == errno.ENOENT:
> raise OSError('"initdb" could not be found. '
'You should add the postgresql bin folder to your PATH '
'(/usr/lib/postgresql/9.1/bin for example).')
E OSError: "initdb" could not be found. You should add the postgresql bin folder to your PATH (/usr/lib/postgresql/9.1/bin for example).

.tox/py27-default/local/lib/python2.7/site-packages/cubicweb/devtools/__init__.py:551: OSError
____________ ERROR at setup of ImportSkosDataCommandTC.test_nohook _____________

def setUpModule():
> startpgcluster(__file__)

test/test_ccplugin.py:14:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

pyfile = '/var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/test/test_ccplugin.py'

def startpgcluster(pyfile):
"""Start a postgresql cluster next to pyfile"""
datadir = join(os.path.dirname(pyfile), 'data', 'database',
'pgdb-%s' % os.path.splitext(os.path.basename(pyfile))[0])
if not exists(datadir):
try:
subprocess.check_call(['initdb', '-D', datadir, '-E', 'utf-8', '--locale=C'])

except OSError as err:
if err.errno == errno.ENOENT:
> raise OSError('"initdb" could not be found. '
'You should add the postgresql bin folder to your PATH '
'(/usr/lib/postgresql/9.1/bin for example).')
E OSError: "initdb" could not be found. You should add the postgresql bin folder to your PATH (/usr/lib/postgresql/9.1/bin for example).

.tox/py27-default/local/lib/python2.7/site-packages/cubicweb/devtools/__init__.py:551: OSError
___________ ERROR at setup of ImportSkosDataCommandTC.test_nooption ____________

def setUpModule():
> startpgcluster(__file__)

test/test_ccplugin.py:14:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

pyfile = '/var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/test/test_ccplugin.py'

def startpgcluster(pyfile):
"""Start a postgresql cluster next to pyfile"""
datadir = join(os.path.dirname(pyfile), 'data', 'database',
'pgdb-%s' % os.path.splitext(os.path.basename(pyfile))[0])
if not exists(datadir):
try:
subprocess.check_call(['initdb', '-D', datadir, '-E', 'utf-8', '--locale=C'])

except OSError as err:
if err.errno == errno.ENOENT:
> raise OSError('"initdb" could not be found. '
'You should add the postgresql bin folder to your PATH '
'(/usr/lib/postgresql/9.1/bin for example).')
E OSError: "initdb" could not be found. You should add the postgresql bin folder to your PATH (/usr/lib/postgresql/9.1/bin for example).

.tox/py27-default/local/lib/python2.7/site-packages/cubicweb/devtools/__init__.py:551: OSError
=================================== FAILURES ===================================
________________ SKOSSchemaTC.test_in_scheme_permissions_source ________________

self = <unittest_schema.SKOSSchemaTC testMethod=test_in_scheme_permissions_source>

def test_in_scheme_permissions_source(self):
"""Check `in_scheme` permissions w.r.t. source."""
with self.admin_access.repo_cnx() as cnx:
url = u'file://%s' % self.datapath('siaf_matieres_shortened.xml')
cnx.create_entity('CWSource', name=u'mythesaurus',
type=u'datafeed', parser=u'rdf.skos', url=url)
cnx.commit()
dfsource = self.repo.sources_by_uri[u'mythesaurus']
with self.repo.internal_cnx() as icnx:
with silent_logging('cubicweb.sources'):
> stats = dfsource.pull_data(icnx, force=True, raise_on_error=False)

test/unittest_schema.py:79:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

self = <mythesaurus DataFeedSource source 918 @0x7f547c44c6d0>
cnx = <cubicweb.server.session.Connection object at 0x7f547c44c690>
force = True, raise_on_error = False, import_log_eid = None

@monkeypatch(datafeed.DataFeedSource)
def pull_data(self, cnx, force=False, raise_on_error=False, import_log_eid=None):
"""Launch synchronization of the source if needed.

This method is responsible to handle commit/rollback on the given
connection.
"""
if not force and self.fresh():
return {}
> if not self.acquire_synchronization_lock(cnx, force):
E TypeError: acquire_synchronization_lock() takes exactly 2 arguments (3 given)

.tox/py27-default/share/cubicweb/cubes/skos/site_cubicweb.py:174: TypeError
_____________________ SKOSXMLImportTC.test_datafeed_source _____________________

self = <unittest_sobjects.SKOSXMLImportTC testMethod=test_datafeed_source>

def test_datafeed_source(self):
# test creation upon initial pull
> self.pull_source('mythesaurus')

test/unittest_sobjects.py:131:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
test/unittest_sobjects.py:70: in pull_source
dfsource.pull_data(cnx, force=True, raise_on_error=False)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

self = <mythesaurus DataFeedSource source 918 @0x7f547c717bd0>
cnx = <cubicweb.server.session.Connection object at 0x7f547c712090>
force = True, raise_on_error = False, import_log_eid = None

@monkeypatch(datafeed.DataFeedSource)
def pull_data(self, cnx, force=False, raise_on_error=False, import_log_eid=None):
"""Launch synchronization of the source if needed.

This method is responsible to handle commit/rollback on the given
connection.
"""
if not force and self.fresh():
return {}
> if not self.acquire_synchronization_lock(cnx, force):
E TypeError: acquire_synchronization_lock() takes exactly 2 arguments (3 given)

.tox/py27-default/share/cubicweb/cubes/skos/site_cubicweb.py:174: TypeError
----------------------------- Captured stdout call -----------------------------
Building xmlparser for database tmpdb
----------------------------- Captured stderr call -----------------------------
2016-02-08 18:50:17 - (py.warnings) WARNING: /var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/.tox/py27-default/local/lib/python2.7/site-packages/cubicweb/devtools/__init__.py:111: RuntimeWarning: admin40a54b34f3c4401a8f71595634116f91 Open session found while turning repository off
%sessionid, RuntimeWarning)

_________________________ SKOSXMLImportTC.test_service _________________________

self = <unittest_sobjects.SKOSXMLImportTC testMethod=test_service>

def test_service(self):
with self.admin_access.repo_cnx() as cnx:
scheme_uris = cnx.call_service('rdf.skos.import',
stream=open(self.datapath('siaf_matieres_shortened.xml')),
rdf_format='xml')[-1]
self.assertEqual(scheme_uris, ['http://data.culture.fr/thesaurus/resource/ark:/67717/Matiere'])
> self.check_siaf_shortened(u'system')

test/unittest_sobjects.py:142:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
test/unittest_sobjects.py:116: in check_siaf_shortened
exturi.cw_set(inlined_match=concept)
.tox/py27-default/local/lib/python2.7/site-packages/cubicweb/entity.py:1311: in cw_set
rql, qargs, pendingrels, attrcache = self._cw_build_entity_query(kwargs)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

cls = <class 'cubicweb.entities.ExternalUri'>
kwargs = {'inlined_match': <Entity Concept 942 ['cwuri'] at 140000843478864>}

@classmethod
def _cw_build_entity_query(cls, kwargs):
relations = []
restrictions = set()
pendingrels = []
eschema = cls.e_schema
qargs = {}
attrcache = {}
for attr, value in kwargs.items():
if attr.startswith('reverse_'):
attr = attr[len('reverse_'):]
role = 'object'
else:
role = 'subject'
> assert eschema.has_relation(attr, role), '%s %s not found on %s' % (attr, role, eschema)
E AssertionError: inlined_match subject not found on ExternalUri

.tox/py27-default/local/lib/python2.7/site-packages/cubicweb/entity.py:456: AssertionError
================ 3 failed, 61 passed, 3 error in 53.11 seconds =================
ERROR: InvocationError: '/var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/.tox/py27-default/bin/python -m pytest /var/lib/jenkins/jobs/cubes-skos/workspace/TOXENV/py27-default/test --junit-xml=test-results.xml'
___________________________________ summary ____________________________________
ERROR: py27-default: commands failed
Build step 'Execute Python script' marked build as failure
Recording test results
[PostBuildScript] - Execution post build scripts.
[py27-default] $ /bin/bash -xe /tmp/hudson5758547743064287261.sh
+ /var/lib/jenkins/scripts/notify_forge_apycot.py cwo cubicweb-skos 6cf7b2a147da http://jenkins.logilab.fr/job/cubes-skos/TOXENV=py27-default/78/ --status failure
<br/>

log from execution
download